From bec4e89cb339beb824541b0b88dda4ea1742835f Mon Sep 17 00:00:00 2001
From: myint <myint@macbookpro.local>
Date: Fri, 4 May 2012 06:09:22 -0700
Subject: [PATCH] Correct fix_e224() to not modify indentation

---
 autopep8.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/autopep8.py b/autopep8.py
index c795cf3..c7ca42c 100755
--- a/autopep8.py
+++ b/autopep8.py
@@ -230,7 +230,10 @@ class FixPEP8(object):
 
     def fix_e224(self, result):
         target = self.source[result['line'] - 1]
-        fixed = re.sub(r'\t+', ' ', target, 1)
+        offset = result['column']
+        prefix = target[:offset - 1]
+        suffix = target[offset - 1:].replace('\t', ' ')
+        fixed = prefix + " " + suffix
         self.source[result['line'] - 1] = fixed
 
     def fix_e225(self, result):
-- 
1.7.8.5

